package de.ozgcloud.alfa.export;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

class DateiformatCodeTest {

	@Nested
	class TestCreateDateiformatCodeType {

		@Test
		void shouldHaveCode() {
			var dateiformatCode = DateiformatCode.PDF.createDateiformatCodeType();

			assertThat(dateiformatCode.getCode()).isEqualTo(DateiformatCode.PDF.code);
		}

		@Test
		void shouldHaveListURI() {
			var dateiformatCode = DateiformatCode.PDF.createDateiformatCodeType();

			assertThat(dateiformatCode.getListURI()).isEqualTo(DateiformatCode.LIST_URI);
		}

		@Test
		void shouldHaveListVersionID() {
			var dateiformatCode = DateiformatCode.PDF.createDateiformatCodeType();

			assertThat(dateiformatCode.getListVersionID()).isEqualTo(DateiformatCode.PDF.listVersionID);
		}
	}

}