# E2E

## Allgemein

Die E2E Tests werden in parallen Jenkins Stages in seperaten Namespaces durchgeführt.
`einheitlicher-ansprechpartener` -> 'EA'-Umgebung
`main-tests` -> 'Dev'-Umgebung
-> es dürfen nur die der Umgebung entsprechenden User für die Tests genutzt werden.
(siehe dokumentation/Anwender/Standardbenutzer.md)

## Gegen ein bestehenden Namespace testen

Beispiel Namespace: sh-mastere2emain-dev

1. Umleiten der Datenbank: `kubectl port-forward pluto-database-0 27017:27017 -n sh-mastere2emain-dev`

2. Umleiten des Elastic Search: `kubectl port-forward ozg-search-cluster-es-ozg-search-0 9200:9200 -n elastic-system`

3. Host Eintrag ergänzen: In `/etc/hosts` folgenden Eintrag ergänzen: `127.0.0.1 pluto-database-0.pluto-database-svc.sh-mastere2emain-dev.svc.cluster.local`

4. Cypress mit entsprechender config starten: `npm run cypress:open -- --config-file cypress-master-main.json`
