export class VorgangViewsE2EComponent {

	private readonly neuViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Neu');
	private readonly angenommenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Angenommen');
	private readonly inBearbeitungViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('In_Bearbeitung');
	private readonly beschiedenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Beschieden');
	private readonly abgeschlossenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Abgeschlossen');
	private readonly verworfenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Verworfen');
	private readonly zuLoeschenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Zu_Loschen');
	private readonly wiedervorlagenViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Wiedervorlagen');
	private readonly vorgangListViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Vorgangsliste');
	private readonly searchViewItem: VorgangViewE2EComponent = new VorgangViewE2EComponent('Suche');

	public getNeu(): VorgangViewE2EComponent {
		return this.neuViewItem;
	}

	public getAngenommen(): VorgangViewE2EComponent {
		return this.angenommenViewItem;
	}

	public getInBearbeitung(): VorgangViewE2EComponent {
		return this.inBearbeitungViewItem;
	}

	public getBeschieden(): VorgangViewE2EComponent {
		return this.beschiedenViewItem;
	}

	public getAbgeschlossen(): VorgangViewE2EComponent {
		return this.abgeschlossenViewItem;
	}

	public getVerworfen(): VorgangViewE2EComponent {
		return this.verworfenViewItem;
	}

	public getZuLoeschen(): VorgangViewE2EComponent {
		return this.zuLoeschenViewItem;
	}

	public getWiedervorlagen(): VorgangViewE2EComponent {
		return this.wiedervorlagenViewItem;
	}

	public getVorgangList(): VorgangViewE2EComponent {
		return this.vorgangListViewItem;
	}

	public getSuche(): VorgangViewE2EComponent {
		return this.searchViewItem;
	}
}

export class VorgangViewE2EComponent {

	private readonly count: string = 'views-menu-item-count-';
	private readonly root: string = 'views-menu-item-';
	private readonly button: string = 'routing-button';

	private rootId: string;

	constructor(rootId: string){
		this.rootId = rootId;
	}

	public getRoot() {
		return cy.getTestElement(`${this.root}${this.rootId}`);
	}

	public getCount() {
		return this.getRoot().getTestElement(`${this.count}${this.rootId}`);
	}

	public getButton() {
		return this.getRoot().getTestElementWithClass(this.button);
	}
}