import { removeIdTokenFromSessionStorage } from './storage';

beforeAll(() => {
	// Mocking the prototype affects localStorage as well as sessionStorage
	jest.spyOn(Object.getPrototypeOf(window.sessionStorage), 'removeItem');
})

describe('removeIdTokenFromSessionStorage', () => {

	it('should call sessionStorage.removeItem', () => {
		removeIdTokenFromSessionStorage();

		expect(sessionStorage.removeItem).toHaveBeenCalledWith('id_token');
	})

})