import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';

@Component({
	selector: 'alfa-loeschen-anfordern-button',
	templateUrl: './loeschen-anfordern-button.component.html',
	styleUrls: ['./loeschen-anfordern-button.component.scss'],
})
export class LoeschenAnfordernButtonComponent {

	@Input() showAsIconButton: boolean = false;
	@Input() loeschenAnfordernCommand: StateResource<CommandResource>;

	@Output() loeschenAnfordern: EventEmitter<void> = new EventEmitter<void>();
}
