package de.ozgcloud.alfa.vorgang;

import java.util.Collection;
import java.util.Collections;
import java.util.Optional;

import de.ozgcloud.alfa.common.user.UserId;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder(toBuilder = true)
class FilterCriteria {

	private boolean filterByOrganisationseinheitenId;
	@Builder.Default
	private Collection<String> organisationsEinheitenId = Collections.emptyList();
	@Builder.Default
	private Optional<VorgangStatus> status = Optional.empty();
	private boolean filterByAssignedTo;
	@Builder.Default
	private Optional<UserId> assignedTo = Optional.empty();
	private boolean hasNextWiedervorlageFrist;
}
